CameraSnapshotTrait.GetLiveSnapshotCommand.Response

class CameraSnapshotTrait.GetLiveSnapshotCommand.Response : ClusterStruct


Response for the GetLiveSnapshot command.

Summary

Nested types

Descriptor enum for this command's response fields.

Public constructors

Response(snapshot_url: String)

Creates a response payload from the GetLiveSnapshot command.

Public functions

open StructDescriptor

Returns the descriptor for the struct.

open Any?

Returns the value of the field for the given tag ID.

Public properties

String

URL for the live image, generated on demand.

Public constructors

Response

Response(snapshot_url: String = "")

Creates a response payload from the GetLiveSnapshot command.

Public functions

getDescriptor

@HomeExperimentalGenericApi
open fun getDescriptor(): StructDescriptor

Returns the descriptor for the struct.

getFieldValueById

@HomeExperimentalGenericApi
open fun getFieldValueById(tagId: UInt): Any?

Returns the value of the field for the given tag ID.

Public properties

snapshot_url

val snapshot_urlString

URL for the live image, generated on demand.